Demo Preparation by Industry - Bug #3181

Document Status by DocType di Inventory
10/30/2024 12:48 PM - jihad ....

Status: Closed
Normal

jihad ...

Priority:
Assignee:
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

Spent time:

10/30/2024

0%
0.00 hour
0.00 hour

Description
Mba Yoma,

untuk saat ini settingan doc status sesuai dengan doctype tidak bisa di inventory sehingga semua status akan tampil tidak sesuai
dengan masing2 kebutuhan document type nya seperti sales dan purchasing. ingin minta tolong dibuatkan settingan tersebut.

Terima kasih

port:demo-retail.minovais.com
server: 89
db: MinovaES_DEMOQO_Retail

History

#1 - 10/30/2024 05:15 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 11/01/2024 04:48 PM - Tri Rizqiaty
- File clipboard-202411011648-60glc.png added
- File PDSCMBSLOGDOCSTATUS_Retail.sql added

- Status changed from Assigned to Developing

Fixing :

1. Execute SP terlampir
2. Update di Ul/scripts : MinovaUtil.FieldGenerator.js

B pa_hba.caonf IE postgresqgl.conf IE mderpsearch.js l B Hinovartype.js l B Logtxt l B fingerSyC bt l document.jz

l B documentlogistic.js 1 ] documentiogistic s o4 = MinovaUti FisldGenerator js E3

success: function {response) {

117 =
118
119 =

if {(results.data.length > 0 {

104 3

105 else if(tbl == 'FTRMATERILLHEALD' && rec.FieldName == 'Docitatus')
106 {

107 var doctype = undefinesd;

108 rar menuid = Minovalcil.GetMenulID({);
108 [ Ext.Ajax.requesti{

110 async: false,

111 mwethod: 'POIT!,

112 url: '/UserControl/Get3tore’,

113 = params: {

114 tableNsme: 'FPCHMEPMODULETYRE' ,
115 param: 'MenulD[=]' + menuid
118 Y.

var results = Ext.decode{response.responseText);

1z0 doctype = results.data[0].ModuleItem:

121 L }

1z2 L }

123 = 1) console. log{doctype);

124 rec.,ParsmConbo = doctype + ', ' + menuid:

1z5 L }

126 €lse 1X({thbl == DINSALESHEADERT Lk rEc.rFieldName == @ Docotatus' )
127 = {

128 [‘] rvar doctype = undefined:;

Find result - (2 hits]

#3 - 11/01/2024 04:48 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#4 - 11/04/2024 08:43 AM - jihad ....

07/02/2025

1/2




- Status changed from QA Test to Closed

Files
clipboard-202411011648-60glc.png 25.6 KB 11/01/2024 Tri Rizqgiaty
PDSCMBSLOGDOCSTATUS_Retail.sql 1.75 KB 11/01/2024 Tri Rizqiaty

07/02/2025 22


http://www.tcpdf.org

